Bug 78920 - standard X11 fonts not available for choosing
standard X11 fonts not available for choosing
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gnome-terminal (Show other bugs)
4.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-03 11:01 EST by Marco Colombo
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-03 11:15:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco Colombo 2002-12-03 11:01:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020913

Description of problem:
I've been using -misc-fixed-medium-r-normal-*-*-140-*-*-c-*-iso8859-15 as my
gnome-terminal font for years. On 8.0 I'm not able to select it any more. The
font chooser now show only TT fonts, and there's no apparent way to choose fonts
by their standard X11 names. I've been hit by this with gnome-terminal, but I
guess it might be a GTK2 problem.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. open gnome-terminal
2. select Edit->Current Profile...->General
3. disable 'Use the same font as other applications'
4. click on 'Monospace' (or whatever) to fire the Font Chooser
5. say "I want my fixed font back" B-)
	

Actual Results:  Can't choose any X11 bitmap font, like 'fixed'.

Expected Results:  Dunno. I don't really care about the chooser as long as a
different way to select the font is provided. -fn standard X option would do
fine. On 7.3 and previous, the font chooser is aware of all installed fonts,
standard X11 bitmap fonts included.

Additional info:

I see this as a bug: I'm now using a single X11 server (7.2) to display
terminals running on different workstations, ranging from 6.2 to 7.3. RHL 8.0
gnome-terminals look very different, and that's quite annoying. The only
workaround I've found is to run gnome-terminal from 7.3 and run a ssh session to
the 8.0 ws from inside there.
You may see it as a 'wanted feature'.
Comment 1 Michael Lee Yohe 2002-12-03 11:15:31 EST
It's the differentiation of fonts under X in Red Hat Linux 8.  There is the old
xfs system or the new Xft2 method.  This is a nitty gritty explanation.

As a temporary solution - you can choose the available bitmap font supported by
Xft2 (LucidaTypewriter).
Comment 2 Havoc Pennington 2002-12-03 11:53:59 EST
 https://listman.redhat.com/pipermail/psyche-list/2002-October/000585.html
  https://listman.redhat.com/pipermail/psyche-list/2002-October/002797.html

those mails should explain how to use any font you want, and why it is how it is.
Comment 3 Marco Colombo 2002-12-04 05:59:07 EST
FYI, here's how I've managed to install the old font under the new system:

$ mkdir ~/.fonts
$ cd /usr/lib/X11/fonts/misc
$ cp 9x15.pcf.gz 9x15-ISO8859-15.pcf.gz 9x15B.pcf.gz 9x15B-ISO8859-15.pcf.gz
~/.fonts
$ cd ~/.fonts
$ gunzip *.gz

that's all. Very easy.
As a small suggestion, the new system could be able to use the font files even
when gzipped, like the old system. That way the old fonts directories could be
included into ~/.font.conf with <dir>...</dir>. Right now it doesn't work unless
you manually uncompress all font files.

Thanks a lot for your prompt feedback.

Note You need to log in before you can comment on or make changes to this bug.